[project]
name = "mcp-server-ws"
version = "0.1.0"
description = "A MCP server for WS tcg"
readme = "README.md"
requires-python = ">=3.10"
authors = [
    { name = "UnieAI Eric", email = "chouwei88929@gmail.com" },
]
classifiers = [
    "Development Status :: 4 - Beta",
    "Intended Audience :: Developers",
    "License :: OSI Approved :: MIT License",
    "Programming Language :: Python :: 3",
    "Programming Language :: Python :: 3.10",
]
dependencies = [
    "mcp>=1.0.0",
    "pydantic>=2.0.0",
    "tzdata>=2024.2",
    "beautifulsoup4>=4.12.0",
    "httpx>=0.27.1",
]

[project.scripts]
mcp-server-ws = "mcp_server_ws.__main__:main"

[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[tool.uv]
dev-dependencies = [
    "freezegun>=1.5.1",
    "pyright>=1.1.389",
    "pytest>=8.3.3",
    "ruff>=0.8.1",
]